// import store from '@/stores/index.js'
import defaultSettings from '@/settings'
import { useSettingsStore } from '@/stores/modules/settings.js'

/**
 * 动态修改标题
 */
export function useDynamicTitle() {
  const settingsStore = useSettingsStore();
  if (settingsStore.dynamicTitle) {
    document.title = settingsStore.title + ' - ' + defaultSettings.title;
  } else {
    document.title = defaultSettings.title;
  }
}